---
title: "Duplicate budget · Budgets · COUNT Partner API"
description: "Creates a copy of a budget, optionally carrying cell values forward. POST /partners/budgets/{uuid}/duplicate"
canonical: "https://developers.getcount.com/reference/budgets/duplicate-budget"
source: "https://developers.getcount.com/reference/budgets/duplicate-budget"
---
[Budgets](https://developers.getcount.com/reference/budgets) / Duplicate budget

# Duplicate budget

POST `/partners/budgets/{uuid}/duplicate`

Creates a copy of a budget, optionally carrying cell values forward.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=POST&path=%2Fpartners%2Fbudgets%2F%7Buuid%7D%2Fduplicate&body=%7B%0A++%22newName%22%3A+%22FY+2026+Operating+Budget+%E2%80%94+Copy%22%2C%0A++%22carryValues%22%3A+true%0A%7D)

[Chart of Accounts API](https://developers.getcount.com/reference/chart-of-accounts) [Reports API](https://developers.getcount.com/reference/reports)

#### Path parameters

`uuid` uuid required

The source budget UUID.

#### Request body

`newName` string required

Name for the duplicated budget.

`carryValues` boolean

Copy cell values into the new budget.

`isOverall` boolean

Mark the duplicate as the Overall Budget.

`versionNumber` integer

Source version to copy from.

#### Responses

`201` Budget duplicated.

`400` Duplicate name or Overall Budget conflict.

`404` Source budget not found.

`401` Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-401)

`403` The credential does not have access to this workspace or resource. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-403)

`429` Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-429)

[Previous POST Archive budget](https://developers.getcount.com/reference/budgets/archive-budget)

POST `https://api.getcount.com/partners/budgets/{uuid}/duplicate`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'POST';
const signingPath = '/budgets/3fa85f64-5717-4562-b3fc-2c963f66afa6/duplicate';
const timestamp = Math.floor(Date.now() / 1000).toString();
const body = {
  "newName": "FY 2026 Operating Budget — Copy",
  "carryValues": true
};
const bodyString = JSON.stringify(body);

const bodyHash = crypto.createHash('sha256').update(bodyString).digest('hex');
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/budgets/3fa85f64-5717-4562-b3fc-2c963f66afa6/duplicate`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    'Content-Type': 'application/json',
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
  body: bodyString,
});

console.log(await response.json());
```

Response · 201

```json
{
  "status": "success",
  "message": "Success on duplicating budget",
  "data": {
    "budget": {
      "id": "66778899-aabb-ccdd-eeff-001122334455",
      "name": "FY 2026 Operating Budget — Copy",
      "startPeriod": "2026-01-01",
      "cadence": "monthly",
      "actualPeriods": 3,
      "budgetPeriods": 12,
      "currencyCode": "USD",
      "status": "draft",
      "lockedAt": null,
      "isOverall": false,
      "versions": [
        {
          "versionNumber": 1,
          "label": "Initial",
          "isPublished": false,
          "createdAt": "2026-01-15T10:30:00.000Z"
        }
      ],
      "createdAt": "2026-01-15T10:30:00.000Z",
      "updatedAt": "2026-01-28T14:22:30.000Z"
    },
    "version": {
      "versionNumber": 1,
      "label": "Initial",
      "isPublished": false,
      "createdAt": "2026-01-15T10:30:00.000Z"
    }
  }
}
```
